//po4a: entry man manual
= lsirq(1)
:doctype: manpage
:man manual: User Commands
:man source: util-linux {release-version}
:page-layout: base
:command: lsirq

== NAME

lsirq - utility to display kernel interrupt information

== SYNOPSIS

*lsirq* [options]

== DESCRIPTION

Display kernel interrupt counter information.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using *--output*.

== OPTIONS

*-n*, *--noheadings*::
Don't print headings.

*-o*, *--output* _list_::
Specify which output columns to print. Use *--help* to get a list of all supported columns. The default list of columns may be extended if list is specified in the format _+list_.

*-s*, *--sort* _column_::
Specify sort criteria by column name. See *--help* output to get column names.

*-J*, *--json*::
Use JSON output format.

*-P*, *--pairs*::
Produce output in the form of key="value" pairs. All potentially unsafe characters are hex-escaped (\x<code>).

*-S*, *--softirq*::
Show softirqs information.

include::man-common/help-version.adoc[]

== AUTHORS

mailto:pizhenwei@bytedance.com[Zhenwei Pi],
mailto:kerolasa@iki.fi[Sami Kerola],
mailto:kzak@redhat.com[Karel Zak]

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
